## ros-galactic-rmf-demos 1.3.2

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)

project(rmf_demos)

find_package(ament_cmake REQUIRED)

install(DIRECTORY
  launch/
  sros2
  DESTINATION share/${PROJECT_NAME}
)

ament_package()

=== debian/changelog ===
ros-galactic-rmf-demos (1.3.2-1focal) focal; urgency=high

  * Autogenerated, no changelog for this version found in CHANGELOG.rst.

 -- Yadunund <yadunund@openrobotics.org>  Wed, 01 Dec 2021 06:52:28 -0000

=== debian/control ===
Source: ros-galactic-rmf-demos
Section: misc
Priority: optional
Maintainer: Yadunund <yadunund@openrobotics.org>
Build-Depends: debhelper (>= 9.0.0), ros-galactic-ament-cmake, ros-galactic-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-galactic-rmf-demos
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-galactic-launch-xml, ros-galactic-rmf-building-map-tools, ros-galactic-rmf-demos-assets, ros-galactic-rmf-demos-maps, ros-galactic-rmf-demos-panel, ros-galactic-rmf-demos-tasks, ros-galactic-rmf-fleet-adapter, ros-galactic-rmf-task-ros2, ros-galactic-rmf-traffic-ros2, ros-galactic-rmf-visualization, ros-galactic-rviz2, ros-galactic-ros-workspace
Description: Common launch files for RMF demos

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/galactic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/galactic/setup.sh" ]; then . "/opt/ros/galactic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/galactic" \
		-DAMENT_PREFIX_PATH="/opt/ros/galactic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/galactic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/galactic/setup.sh" ]; then . "/opt/ros/galactic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/galactic/setup.sh" ]; then . "/opt/ros/galactic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/galactic/setup.sh" ]; then . "/opt/ros/galactic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-galactic-rmf-demos//opt/ros/galactic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/galactic/setup.sh" ]; then . "/opt/ros/galactic/setup.sh"; fi && \
	dh_auto_install
